import { h } from 'vue'
import HcIcon from '../global/components/hc-icon/index.vue'

export const HcIconJs = ({ui, fill, name, line}) => {
    return h(HcIcon, {
        ui: ui ?? '',
        fill: fill || false,
        name: name ?? '',
        line: line !== false
    })
}

export const hIconJs = (obj) => {
    return () => HcIconJs(obj);
}
